Author Topic: Compiling plugins need Boost, wiki is not up to date ?  (Read 5499 times)

Offline Feneck91

  • Multiple posting newcomer
  • *
  • Posts: 112
Compiling plugins need Boost, wiki is not up to date ?
« on: January 07, 2011, 03:32:42 pm »
I'm trying to compile codeblocks from svn with MinGW.
1> Last version of MinGW is not able to compile wxWidgets 2.8.11 (memory crash), so I took older version (gcc 3.4.5).
2> Compling plugins ask me the root folder of boost (not mentionned into the wiki here). So I download boost version 1.45 (76 463 688 bytes) and give boost root path to code::blocks.
3> It's seems working without boost compilation, isn't it ?

To compile codeblocks we really need to download boost ? Really used ?
Why the wiki is not up to date ? Is it because there is a new one ?

Thanks for your reply, I hope it will be usefull for other users...

Offline MortenMacFly

  • Administrator
  • Lives here!
  • *****
  • Posts: 9597
Re: Compiling plugins need Boost, wiki is not up to date ?
« Reply #1 on: January 07, 2011, 03:51:34 pm »
To compile codeblocks we really need to download boost ? Really used ?
Only, if you compile the SpellChecker plugin. For C::B itself and all other plugins boost is not needed
Compiler logging: Settings->Compiler & Debugger->tab "Other"->Compiler logging="Full command line"
C::B Manual: http://www.codeblocks.org/docs/main_codeblocks_en.html
C::B FAQ: http://wiki.codeblocks.org/index.php?title=FAQ

Offline killerbot

  • Administrator
  • Lives here!
  • *****
  • Posts: 5243
Re: Compiling plugins need Boost, wiki is not up to date ?
« Reply #2 on: January 07, 2011, 03:56:22 pm »
correction : nasi shneiderman plugin needs it to.

Offline Feneck91

  • Multiple posting newcomer
  • *
  • Posts: 112
Re: Compiling plugins need Boost, wiki is not up to date ?
« Reply #3 on: January 07, 2011, 04:00:00 pm »
When I build Code::Blocks from sources, I build all plugins... so I need it.
It's seem working without compiling boost library (I just finish to compile all plugins), I know boost but I never use it.
Confirm that it is not necessary to build it, only extract files from downloaded boost zip ?

Offline jens

  • Administrator
  • Lives here!
  • *****
  • Posts: 7253
    • Jens' unofficial debian-repository for the Code::Blocks - IDE
Re: Compiling plugins need Boost, wiki is not up to date ?
« Reply #4 on: January 07, 2011, 04:02:03 pm »
When I build Code::Blocks from sources, I build all plugins... so I need it.
It's seem working without compiling boost library (I just finish to compile all plugins), I know boost but I never use it.
Confirm that it is not necessary to build it, only extract files from downloaded boost zip ?
Confirmed !

Offline danselmi

  • Developer
  • Almost regular
  • *****
  • Posts: 202
Re: Compiling plugins need Boost, wiki is not up to date ?
« Reply #5 on: January 07, 2011, 05:28:14 pm »
Nassi Shneiderman plugin needs boost::spirit to create diagram from code. Spirit is header only - works without compiling. SpellChecker does not need boost.

Offline MortenMacFly

  • Administrator
  • Lives here!
  • *****
  • Posts: 9597
Re: Compiling plugins need Boost, wiki is not up to date ?
« Reply #6 on: January 07, 2011, 10:04:54 pm »
Nassi Shneiderman plugin needs boost::spirit to create diagram from code. Spirit is header only - works without compiling. SpellChecker does not need boost.
My fault - I meant Nassi Shneiderman, not SpellChecker. So [to the Linux devs]: If you do not include the compilation of this plugin is there still a build dependency?
Compiler logging: Settings->Compiler & Debugger->tab "Other"->Compiler logging="Full command line"
C::B Manual: http://www.codeblocks.org/docs/main_codeblocks_en.html
C::B FAQ: http://wiki.codeblocks.org/index.php?title=FAQ

Offline jens

  • Administrator
  • Lives here!
  • *****
  • Posts: 7253
    • Jens' unofficial debian-repository for the Code::Blocks - IDE
Re: Compiling plugins need Boost, wiki is not up to date ?
« Reply #7 on: January 07, 2011, 10:16:58 pm »
We do not check for the existing of boost at the moment (except for debian build-system, there it is a build-dependency), so if you configure C::B to be build without Nassi Schneiderman, it should not lead to problems.

Offline MortenMacFly

  • Administrator
  • Lives here!
  • *****
  • Posts: 9597
Re: Compiling plugins need Boost, wiki is not up to date ?
« Reply #8 on: January 07, 2011, 10:35:20 pm »
so if you configure C::B to be build without Nassi Schneiderman, it should not lead to problems.
OK - that's what I meant and this should answer the question precisely.
Probably we should put this on the build documentation / page referred to...
[Edit:] I've done so on both build pages for Windows and Linux in the WiKi for clarification.
« Last Edit: January 07, 2011, 10:43:20 pm by MortenMacFly »
Compiler logging: Settings->Compiler & Debugger->tab "Other"->Compiler logging="Full command line"
C::B Manual: http://www.codeblocks.org/docs/main_codeblocks_en.html
C::B FAQ: http://wiki.codeblocks.org/index.php?title=FAQ